PROGRAM pidigits
  IMPLICIT NONE

  DOUBLE PRECISION :: pi

  pi = ACOS(-1.0d0)
  PRINT *, pi

  pi = 8.0d0 * ATAN(1.0d0/3.0d0) + 4.0d0 * ATAN(1.0d0/7.0d0)
  PRINT *, pi

  pi = 12d0 * ASIN((SQRT(6.0d0) - SQRT(2.0d0)) / 4.0d0)
  PRINT *, pi

  pi = 2.0d0 * ATAN2(1.0d0, 0.0d0)
  PRINT *, pi

END PROGRAM pidigits
